<?php  require_once('Connections/conn.php'); ?>
<?php session_start();
  // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="cargar_corte2_h_h.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		exit;
	  }  

  if ($tipo_usuario!="3" && $tipo_usuario!="10") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="cargar_corte2_h_h.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
		exit;
  }  
  
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

 // Captura las variables que vienen de carga.php o de registrar_nota.php.
  $profesor = $_GET["profesor"];
  $periodo  = $_GET["periodo"];
  $seccion  = $_GET["seccion"];
  $sede     = $_GET["sede"];
  $materia  = $_GET["materia"];
  $carrera  = $_GET["carrera"];
  $turno  = $_GET["turno"];
  

// $conn=connect();  
mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
$query_rs_materias = "SELECT materias.nombre_materia, nivel, pensum, id_mencion,semestre FROM materias WHERE id_materia='$materia' and id_carrera='$carrera'";
$rs_materias = mysql_query($query_rs_materias, $conn) or die(mysql_error());
$row_rs_materias = mysql_fetch_assoc($rs_materias);
$totalRows_rs_materias = mysql_num_rows($rs_materias);
$nivel  = $row_rs_materias["nivel"];
$pensum  = $row_rs_materias["pensum"];
$mencion  = $row_rs_materias["id_mencion"];
$semestre  = $row_rs_materias["semestre"];


$query_rs_docentes = "SELECT apellidos, nombres FROM docentes WHERE id_docente='$profesor'";
$rs_docentes = mysql_query($query_rs_docentes, $conn) or die(mysql_error());
$row_rs_docentes = mysql_fetch_assoc($rs_docentes);
$totalRows_rs_docentes = mysql_num_rows($rs_docentes);
$nombre_docente=$row_rs_docentes['apellidos'].' '.$row_rs_docentes['nombres'];

$query_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$sede'";
$rs_sede = mysql_query($query_sede, $conn) or die(mysql_error());
$row_sede = mysql_fetch_assoc($rs_sede);
$totalRows_sede = mysql_num_rows($rs_sede);

$query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
$rs_carrera = mysql_query($query_carrera, $conn) or die(mysql_error());
$row_carrera = mysql_fetch_assoc($rs_carrera);
$totalRows_carrera = mysql_num_rows($rs_carrera);

$query_periodo = "SELECT codigo, tipo FROM periodos WHERE id_periodo='$periodo'";
$rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
$row_periodo = mysql_fetch_assoc($rs_periodo);
$totalRows_periodo = mysql_num_rows($rs_periodo);
$id_periodo=$row_periodo['codigo']; 

$query_turnos = "SELECT turno FROM turnos WHERE codigo='$turno'";
$rs_turnos = mysql_query($query_turnos, $conn) or die(mysql_error());
$row_turnos = mysql_fetch_assoc($rs_turnos);
$totalRows_turnos = mysql_num_rows($rs_turnos);
$nombre_turno=$row_turnos['turno']; 

// Determina las ponderaciones de la materia.
// $query_pondera = "SELECT pondera5,pondera6,pondera7,pondera8 FROM ponderaciones WHERE sede='$sede' and lapso='$periodo' and programa='$carrera' and pensum='$pensum' and nivel='$nivel' and mencion='$mencion' and seccion='$seccion' and turno='$turno' and semestre='$semestre' and materia='$materia' and id_docente='$profesor'";
$query_pondera = "SELECT pondera5,pondera6,pondera7,pondera8 FROM oferta_academica WHERE sede='$sede' and id_periodo='$periodo' and id_carrera='$carrera' and pensum='$pensum' and nivel='$nivel' and mencion='$mencion' and id_seccion='$seccion' and turno='$turno' and semestre='$semestre' and id_materia='$materia' and id_profesor='$profesor'";
$rs_pondera = mysql_query($query_pondera, $conn) or die(mysql_error());
$row_pondera = mysql_fetch_assoc($rs_pondera);
$totalRows_pondera = mysql_num_rows($rs_pondera);
$pondera5=$row_pondera["pondera5"];
$pondera6=$row_pondera["pondera6"];
$pondera7=$row_pondera["pondera7"];
$pondera8=$row_pondera["pondera8"];
?>

<html>
<head>
<title>sadce -- carga de notas</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .hr1 {
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Carga de Calificaciones en Hist&oacute;rico (Corte 2)</h2></td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="2">
<tr>
   <td><b>CARRERA:</b>&nbsp;&nbsp;<?php echo $carrera.':'.$row_carrera['nombre_carrera']; ?></td>
</tr>

<tr>
   <td><b>UNIDAD CURRICULAR:</b>&nbsp;&nbsp;&nbsp;<?php echo $materia.':'.$row_rs_materias['nombre_materia']; ?></td>
</tr>
<tr>
<td colspan="2"><b>SECCI&Oacute;N:</b> <?php echo $seccion; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>TURNO:</b> <?php echo $nombre_turno; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>LAPSO:</b> <?php echo $row_periodo['codigo'].' ('.$row_periodo['tipo'].')'; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>SEDE:</b> <?php echo $row_sede['nombre_sede']; ?></td>
</tr>



</table>
<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 100;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];
 
  switch ($sql) {
    
    case "update":
      sql_update();
      break;
   
	  }

  switch ($a) {
    case "view":
      viewrec($recid, $profesor, $periodo, $seccion, $sede, $materia, $carrera);
      break;
	 case "edit":
      viewrec($recid, $profesor, $periodo, $seccion, $sede, $materia, $carrera);
      break; 
    default:
      select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<hr size="1" noshade>

</body>
</html>

<?php function select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno)
  {
  
  global $conn;
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
  global $nombre_docente;
  global $pondera5;
  global $pondera6;
  global $pondera7;
  global $pondera8;

  //Busco el nombre de la materia

 
  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  $count = sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" width="100%">
<tr>
<td colspan="2"><b>DOCENTE:</b>&nbsp;&nbsp;<?php echo $nombre_docente; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>ESTUDIANTES INSCRITOS:</b>&nbsp;&nbsp; <?php echo $count ?></td>
</tr>
</table>
<hr size="1" noshade>
<form name="editar_nota" id="editar_nota">

<table class="tbl" border="0" cellspacing="1" cellpadding="3" width="100%">
<tr>
<td align="center" class="hr" rowspan="2">Cargar</td>
<td align="center" class="hr" rowspan="2">N°</td>
<td align="center" class="hr" rowspan="2">C&eacute;dula</td>
<td align="center" class="hr" rowspan="2">Apellidos</td>
<td align="center" class="hr" rowspan="2">Nombres</td>
<td align="center" class="hr">Eval.<br>5</td>
<td align="center" class="hr">Eval.<br>6</td>
<td align="center" class="hr">Eval.<br>7</td>
<td align="center" class="hr">Eval.<br>8</td>
<td align="center" class="hr">Corte 2</td>
<td align="center" class="hr">V.A.</td>
</tr>
<tr>

<td align="center" class="hr"><?php echo $pondera5 ?>%</td>
<td align="center" class="hr"><?php echo $pondera6 ?>%</td>
<td align="center" class="hr"><?php echo $pondera7 ?>%</td>
<td align="center" class="hr"><?php echo $pondera8 ?>%</td>
<td align="center" class="hr">25%</td>
<td align="center" class="hr">100%</td>

</tr>
<?php
  $nro=1;
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
	$id_alumno=$row["id_alumno"]
?>
<tr>
<td align="center" class="<?php echo $style ?>"><a href="cargar_corte2_h.php?a=edit&recid=<?php echo $i ?>&id_alumno=<?php echo $id_alumno ?>&periodo=<?php echo $periodo ?>&carrera=<?php echo $carrera ?>&materia=<?php echo $materia ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&profesor=<?php echo $profesor ?>&turno=<?php echo $turno ?>"><img src="imagenes/edit.gif" border="0" ></a></td>

<td align="center" class="<?php echo $style ?>"><?php echo htmlspecialchars($nro) ?></td>
<td align="right" class="<?php echo $style ?>"><?php echo number_format(htmlspecialchars($row["cedula"]),0, ",", ".") ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombres"]) ?></td>


<?php if($row["corte_2"]<(25/2)){
?>
  <td align="right" class="hr1" ><?php echo $row["eval5"]; ?></td>
  <td align="right" class="hr1" ><?php echo $row["eval6"]; ?></td>
  <td align="right" class="hr1" ><?php echo $row["eval7"]; ?></td>
  <td align="right" class="hr1" ><?php echo $row["eval8"]; ?> </td>
  <td align="right" class="hr1" ><?php echo $row["corte_2"]; ?></td>
  <td align="right" class="hr1" ><?php echo $row["acumulado"]; ?></td>
 <?php }
 else {
 ?> 
  <td align="right" class="<?php echo $style ?>" ><?php echo $row["eval5"]; ?></td>
  <td align="right" class="<?php echo $style ?>" ><?php echo $row["eval6"]; ?></td>
  <td align="right" class="<?php echo $style ?>" ><?php echo $row["eval7"]; ?></td>
  <td align="right" class="<?php echo $style ?>" ><?php echo $row["eval8"]; ?> </td>
  <td align="right" class="<?php echo $style ?>" ><?php echo $row["corte_2"]; ?></td>
  <td align="right" class="<?php echo $style ?>" ><?php echo $row["acumulado"]; ?></td>
 <?php
 }
 ?>
</tr>

<?php
  $nro++;
  }
  mysql_free_result($res);
?>
</table>
</form>

<br>

<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  global $pondera5;
  global $pondera6;
  global $pondera7;
  global $pondera8;
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="2"width="80%">
<tr>
<td class="hr">C&eacute;dula&nbsp;</td>
<td class="dr"><input name="cedula"  type="text" value="<?php echo number_format(str_replace('"', '&quot;', trim($row["cedula"])),0, ",", ".") ?>" size="10" maxlength="10" readonly="true"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Estudiante")."&nbsp;" ?></td>
<td class="dr"><input name="apellidos"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos"])).', '.str_replace('"', '&quot;', trim($row["nombres"])) ?>" size="60" maxlength="60" readonly="true"></td>
</tr>
<tr>
<td class="hr">Evaluaci&oacute;n 5&nbsp;</td>
<?php 
 if($row["eval5"]>0){
    ?>
    <td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval5(this.value,'<?php echo $pondera5 ?>')" type="text" name="eval5" value="<?php echo str_replace('"', '&quot;', trim($row["eval5"])) ?>">&nbsp;/&nbsp;<?php echo $pondera5; ?>&nbsp;%</td>
<?php
}
else{
?>
<td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval5(this.value,'<?php echo $pondera5 ?>')" type="text" name="eval5">&nbsp;/&nbsp;<?php echo $pondera5; ?>&nbsp;%</td>
<?php
}
?>	
</tr>
<tr>
<td class="hr">Evaluaci&oacute;n 6&nbsp;</td>
<?php 
 if($row["eval6"]>0){
    ?>
    <td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval5(this.value,'<?php echo $pondera6 ?>')" type="text" name="eval6" value="<?php echo str_replace('"', '&quot;', trim($row["eval6"])) ?>">&nbsp;/&nbsp;<?php echo $pondera6; ?>&nbsp;%</td>
<?php
}
else{
?>
<td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval6(this.value,'<?php echo $pondera6 ?>')" type="text" name="eval6" value="">&nbsp;/&nbsp;<?php echo $pondera6; ?>&nbsp;%</td>
<?php
}
?>	
</tr>
<tr>
<td class="hr">Evaluaci&oacute;n 7&nbsp;</td>
<?php 
 if($row["eval7"]>0){
    ?>
    <td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval7(this.value,'<?php echo $pondera7 ?>')" type="text" name="eval7" value="<?php echo str_replace('"', '&quot;', trim($row["eval7"])) ?>">&nbsp;/&nbsp;<?php echo $pondera7; ?>&nbsp;%</td>
<?php
}
else{
?>
<td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval7(this.value,'<?php echo $pondera7 ?>')" type="text" name="eval7" value="">&nbsp;/&nbsp;<?php echo $pondera7; ?>&nbsp;%</td>
<?php
}
?>	
</tr>
<tr>
<td class="hr">Evaluaci&oacute;n 8&nbsp;</td>
<?php 
 if($row["eval8"]>0){
    ?>
    <td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval8(this.value,'<?php echo $pondera8 ?>')" type="text" name="eval8" value="<?php echo str_replace('"', '&quot;', trim($row["eval8"])) ?>">&nbsp;/&nbsp;<?php echo $pondera8; ?>&nbsp;%</td>
<?php
}
else{
?>
<td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval8(this.value,'<?php echo $pondera8 ?>')" type="text" name="eval8" value="">&nbsp;/&nbsp;<?php echo $pondera8; ?>&nbsp;%</td>
<?php
}
?>	
</tr>

</table>
<iframe name="frame1" id="frame1" with="0" height="0" frameborder="0" ></iframe>
<?php } ?>

<?php function showroweditor1($row, $iseditmode)
  {
  global $conn;
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5" width="50%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula o Pasaporte")."&nbsp;" ?></td>
<td class="dr"><input name="cedula"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["cedula"])) ?>" size="10" maxlength="10" readonly="true"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><input name="apellidos"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos"])) ?>" size="40" maxlength="40" readonly="true"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><input name="nombres"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nombres"])) ?>" size="40" maxlength="40" readonly="true"></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Calificación")."&nbsp;" ?></td>
<td class="dr">
<input name="nota" id="nota" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nota"])) ?>" onKeyUp="mascara(this,'.',patron1,true)" maxlength="4" size="4" >
</td>
</tr>
</table>
<script type="text/javascript">
	document.editarNota.nota.focus();
</script>
<?php } ?>

<?php function viewrec($recid)
{ 
  global $profesor;
  global $periodo;
  global $seccion;
  global $sede;
  global $materia;
  global $carrera;
  global $turno;
  global $pondera5;
  global $pondera6;
  global $pondera7;
  global $pondera8;

  $res = sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  $count = sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count, $profesor, $periodo, $seccion, $sede, $materia, $carrera);
  if($recid==$count-1){
     $recid=0;
	 }
   else {
     $recid=$recid+1;
	 }	 
?>
<br>
<form name="editar_nota" id="editar_nota" enctype="multipart/form-data" action="cargar_corte2_h.php?a=edit&recid=<?php echo $recid ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&turno=<?php echo $turno ?>" method="post" onSubmit="return validar_datos('<?php echo $pondera5 ?>','<?php echo $pondera6 ?>','<?php echo $pondera7 ?>','<?php echo $pondera8 ?>')">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid" value="<?php echo $row["id"] ?>">
<input type="hidden" name="xid_alumno" value="<?php echo $row["id_alumno"] ?>">
<input type="hidden" name="xid_periodo" value="<?php echo $row["id_periodo"] ?>">
<input type="hidden" name="xid_seccion" value="<?php echo $row["id_seccion"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $materia ?>">
<input type="hidden" name="xid_carrera" value="<?php echo $carrera ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>

<?php
  mysql_free_result($res);
} ?>

<?php function showrecnav($a, $recid, $count)
{
 global $profesor;
  global $periodo;
  global $seccion;
  global $sede;
  global $materia;
  global $carrera;
  global $turno;
  
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="cargar_corte2_h.php?periodo=<?php echo $periodo ?>&carrera=<?php echo $carrera ?>&materia=<?php echo $materia ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&profesor=<?php echo $profesor ?>&turno=<?php echo $turno ?>">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="cargar_corte2_h.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>&periodo=<?php echo $periodo ?>&carrera=<?php echo $carrera ?>&materia=<?php echo $materia ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&profesor=<?php echo $profesor ?>&turno=<?php echo $turno ?>">Registro Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="cargar_corte2_h.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>&periodo=<?php echo $periodo ?>&carrera=<?php echo $carrera ?>&materia=<?php echo $materia ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&profesor=<?php echo $profesor ?>&turno=<?php echo $turno ?>">Siguiente Registro</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function connect()
{
 $conn = mysql_connect("localhost", "siace_admin", "j7BnJdCGzyQBGcud");
  mysql_select_db("enaph_siace");
  mysql_query ("SET NAMES 'utf8'");
  return $conn;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  
  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "Select historico_notas.id,historico_notas.id_alumno, alumnos.cedula, alumnos.apellidos, alumnos.nombres, historico_notas.id_periodo, historico_notas.id_carrera, historico_notas.id_materia, historico_notas.id_seccion,  historico_notas.eval1,  historico_notas.eval2,  historico_notas.eval3,  historico_notas.eval4,  historico_notas.eval5,  historico_notas.eval6,  historico_notas.eval7,  historico_notas.eval8,  historico_notas.eval9,  historico_notas.eval10,  historico_notas.eval11,  historico_notas.eval12,  historico_notas.eval13,  historico_notas.eval14,  historico_notas.eval15,   historico_notas.eval16, historico_notas.corte_1, historico_notas.corte_2, historico_notas.corte_3,  historico_notas.corte_4, historico_notas.acumulado, historico_notas.sede, historico_notas.fecha, historico_notas.id_docente From alumnos Inner Join historico_notas ON alumnos.id_alumno = historico_notas.id_alumno WHERE id_docente='$profesor' and id_periodo='$periodo' and id_seccion='$seccion' and historico_notas.sede='$sede' and id_materia='$materia' and id_carrera='$carrera' and turno='$turno' ORDER BY apellidos,nombres";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM alumnos Inner Join historico_notas ON alumnos.id_alumno = historico_notas.id_alumno WHERE id_docente='$profesor' and id_periodo='$periodo' and id_seccion='$seccion' and historico_notas.sede='$sede' and id_materia='$materia' and id_carrera='$carrera'  and turno='$turno' ORDER BY apellidos,nombres";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
} 


function sql_update()
{
  global $conn;
  global $_POST;
  
  $eval5=@$_POST["eval5"];
  $eval6=@$_POST["eval6"];
  $eval7=@$_POST["eval7"];
  $eval8=@$_POST["eval8"];
 
  
  if(strlen($eval5)==0) $eval5=0;
  if(strlen($eval6)==0) $eval6=0;
  if(strlen($eval7)==0) $eval7=0;
  if(strlen($eval8)==0) $eval8=0;
 
  $corte2=$eval5+$eval6+$eval7+$eval8;

  $sql = "update `historico_notas` set `eval5`=" .sqlvalue(@$_POST["eval5"], false).", `eval6`=" .sqlvalue(@$_POST["eval6"], false).", `eval7`=" .sqlvalue(@$_POST["eval7"], false).", `eval8`=" .sqlvalue(@$_POST["eval8"], false).", `corte_2`='$corte2' where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
  
// Actualiza el acumulado total del corte 1 obtenida por el estudiante.
	$sql = "update `historico_notas` set acumulado=corte_1+corte_2+corte_3+corte_4  where " .primarykeycondition();

    mysql_query($sql, $conn) or die(mysql_error());
	
	// Toma el corte 1 actualizado para devolverlo al formulario.
	$query_acumulado = "SELECT acumulado FROM historico_notas where " .primarykeycondition();
	
$rst_acumulado = mysql_query($query_acumulado, $conn) or die(mysql_error());
$row_acumulado = mysql_fetch_assoc($rst_acumulado);
$corte2=$row_acumulado['corte_2'];
$acumulado=$row_acumulado['acumulado'];

 $acumulado1Dec=round($acumulado,1);
 $acumuladoInt=round($acumulado1Dec);
 $definitiva=1;
		if($acumuladoInt>=1 && $acumuladoInt<=5){
		   $definitiva=1;
		} elseif ($acumuladoInt>=6 && $acumuladoInt<=11){
		   $definitiva=2;
		} elseif ($acumuladoInt>=12 && $acumuladoInt<=17){
		   $definitiva=3;
		} elseif ($acumuladoInt>=18 && $acumuladoInt<=23){
		   $definitiva=4;
		} elseif ($acumuladoInt>=24 && $acumuladoInt<=29){
		   $definitiva=5;
		} elseif ($acumuladoInt>=30 && $acumuladoInt<=34){
		   $definitiva=6;
		} elseif ($acumuladoInt>=35 && $acumuladoInt<=39){
		   $definitiva=7;
		} elseif ($acumuladoInt>=40 && $acumuladoInt<=44){
		   $definitiva=8;
		} elseif ($acumuladoInt>=45 && $acumuladoInt<=49){
		   $definitiva=9;
		} elseif ($acumuladoInt>=50 && $acumuladoInt<=54){
		   $definitiva=10;
		} elseif ($acumuladoInt>=55 && $acumuladoInt<=59){
		   $definitiva=11;
		} elseif ($acumuladoInt>=60 && $acumuladoInt<=64){
		   $definitiva=12;
		} elseif ($acumuladoInt>=65 && $acumuladoInt<=69){
		   $definitiva=13;
		} elseif ($acumuladoInt>=70 && $acumuladoInt<=74){
		   $definitiva=14;
		} elseif ($acumuladoInt>=75 && $acumuladoInt<=79){
		   $definitiva=15;
		} elseif ($acumuladoInt>=80 && $acumuladoInt<=84){
		   $definitiva=16;
		} elseif ($acumuladoInt>=85 && $acumuladoInt<=88){
		   $definitiva=17;
		} elseif ($acumuladoInt>=89 && $acumuladoInt<=92){
		   $definitiva=18;
		} elseif ($acumuladoInt>=93 && $acumuladoInt<=96){
		   $definitiva=19;
		} elseif ($acumuladoInt>=97 && $acumuladoInt<=100){
		   $definitiva=20;
		}
 
 $sql = "update `historico_notas` set nota='$definitiva'  where " .primarykeycondition();
   mysql_query($sql, $conn) or die(mysql_error());
}


function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id`";
  if (@$_POST["xid"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid"], false);
  };
  $pk .= ")";
  return $pk;
}
?>





<?php

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}



function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
 ?>
 
<script type="text/javascript">
var patron = new Array(2,2,4)
var patron1= new Array(2,2,4)
var patron2 = new Array(1,3,3,3,3)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>

<script type="text/javascript">
function validar_eval5(eval5,pondera5)
{
  if((parseFloat(eval5)<0) || (parseFloat(eval5)>parseFloat(pondera5))){
      url="mensaje_eval5.php?eval5="+eval5+"&pondera5="+pondera5;
      frame1.location=url;
      return true;
  } 	
}
</script>

<script type="text/javascript">
function validar_eval6(eval6,pondera6)
{
  if((parseFloat(eval6)<0) || (parseFloat(eval6)>parseFloat(pondera6))){
      url="mensaje_eval6.php?eval6="+eval6+"&pondera6="+pondera6;
      frame1.location=url;
      return true;
  } 	
}
</script>

<script type="text/javascript">
function validar_eval7(eval7,pondera7)
{
  if((parseFloat(eval7)<0) || (parseFloat(eval7)>parseFloat(pondera7))){
      url="mensaje_eval7.php?eval7="+eval7+"&pondera7="+pondera7;
      frame1.location=url;
      return true;
  } 	
}
</script>

<script type="text/javascript">
function validar_eval8(eval8,pondera8)
{
  if((parseFloat(eval8)<0) || (parseFloat(eval8)>parseFloat(pondera8))){
      url="mensaje_eval8.php?eval8="+eval8+"&pondera8="+pondera8;
      frame1.location=url;
      return true;
  } 	
}
</script>




<script type="text/javascript">
function NumCheck(e, field) {
  key = e.keyCode ? e.keyCode : e.which

  // backspace
  if (key == 8) return true
  
  // 0-9
  if (key >= 48 && key <= 57) {

    if (field.value == "") return true
    
    regexp = /..[0-9]{2}$/
    return !(regexp.test(field.value))
  }

  // ,
  if (key == 46) {
  
    if (field.value == "") return false
    
    regexp = /^[0-9]+$/
    return regexp.test(field.value)
  }
  
  // other key
  return false

}

</script>

<script type="text/javascript">
function validar_datos(pondera5,pondera6,pondera7,pondera8)
{


 if(parseFloat(document.editar_nota.eval5.value)>parseFloat(pondera5)){
	alert("Valor <<"+document.editar_nota.eval5.value+">> en la Evaluación 5 fuera de rango.\n El rango válido es [0.."+pondera5+"]");  
    document.editar_nota.eval5.value=""; 
    document.editar_nota.eval5.focus();
	return false;
}
 if(parseFloat(document.editar_nota.eval6.value)>parseFloat(pondera6)){
	alert("Valor <<"+document.editar_nota.eval6.value+">> en la Evaluación 6 fuera de rango.\n El rango válido es [0.."+pondera6+"]");  
    document.editar_nota.eval6.value=""; 
    document.editar_nota.eval6.focus();
	return false;
}
 if(parseFloat(document.editar_nota.eval7.value)>parseFloat(pondera7)){
	alert("Valor <<"+document.editar_nota.eval7.value+">> en la Evaluación 7 fuera de rango.\n El rango válido es [0.."+pondera7+"]");  
    document.editar_nota.eval7.value=""; 
    document.editar_nota.eval7.focus();
	return false;
}
 if(parseFloat(document.editar_nota.eval8.value)>parseFloat(pondera8)){
	alert("Valor <<"+document.editar_nota.eval8.value+">> en la Evaluación 8 fuera de rango.\n El rango válido es [0.."+pondera8+"]");  
    document.editar_nota.eval8.value=""; 
    document.editar_nota.eval8.focus();
	return false;
}
return true;
}
</script>




